$g: #eee;
$w: #fff;
$v: #8D48AB;
$r: 5px;
@mixin shadow($blur, $color){
  box-shadow: 1px 1px $blur 0px $color;
}
*{
  box-sizing: border-box;
}
@keyframes loading{
  0%{
    transform: rotate(0deg);
  }
  100%{
    transform: rotate(360deg);
  }
}
html,body{
  min-width: 100vw;
  min-height: 100vh;
}

body {
  margin: 0;
  font-size: 12px;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
#root{
  background-color: $g;
  height: 100vh;
}
.button{
  padding: 0.5rem 0.7rem;
  background-color: $v;
  color: $w;
  @include shadow(3px,#ddd );
  border-radius: $r;
  cursor: pointer;
  &:hover{
    background-color: darken($v, 10%);
  }
  &:link,&:visited{
    text-decoration: none;
    color: $w;
  }
}
.loader{
  width: 40px;
  height: 40px;
  border: 2px solid $g;
  border-right: 2px solid $v;
  border-radius: 50%;
  animation: loading 1s infinite ease-out;
}
.container{
  display: flex;
  align-items: center;
  // justify-content: center;
  min-height: 100%;
  flex-direction: column;
}
.logo{
  height: 2.5rem;
  margin-bottom: 3rem;
}
.top-button-div{
  align-self: stretch;
  display: flex;
  padding: 0.6rem 5vw;
  justify-content: flex-end;
}
.inner-container{
  background-color: $w;
  border-radius: $r;
  width: 60vw;
  @include shadow(4px, #aaa);
  display: flex;
  box-sizing: border-box;
}
.input-carrier{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20vh;
}
.url-input-holder{
  padding: 2rem 1.5rem;
  align-items: center;
  justify-content: center;
}
.url-input-box{
  border: 1px solid #ddd;
  box-sizing: border-box;
  padding: 0.7rem 0.9rem;
  border-radius: $r;
  font-size: 1.2rem;
  margin-right: 0.5rem;
  flex: 1;
  &:focus{
    outline: none;
  }
}
.url-accept{
  font-size: 1.2rem;
  padding: 0.7rem 0.9rem;
}

.recent-holder{
  flex: 1;
  border-radius: $r;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  .url-header{
    padding: 0.5rem 1rem;
    background-color: #444;
    color:$w;
  }
  .back-button{
    align-self: center;
    font-size: 1.2rem;
    margin-top: 1.5rem;
  }
  .recent-url{
    font-size: 1.5rem;
    padding: 1rem;
    background-color: $g;
    align-items: center;
    display: flex;
    a{
      flex: 1;
    }
    a,a:link{
      color: lighten($v, 10%);
    }
  }
}

.recent-list{
  flex-direction: column;
  overflow: hidden;
  margin-top: 10vh;
  max-height: 80vh;
  width: 80vw;
  .list-header{
    font-size: 1.5rem;
    background-color: $v;
    color: $w;
    padding: 1rem;
  }
  .list-holder{
    overflow-y:scroll;
  }
  .list-item{
    display: flex;
    padding: 0.7rem 1rem;
    a{
      flex: 1;
      &:link{
        color: $v;
      }
    }
    &:nth-child(2n){
      background-color:$g;
    }
  }
}
.intermediate-state{
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media screen and (max-width: 760px){
  .inner-container, .recent-list{
    width: 90vw;
  }
  .url-input-box, .url-accept{
    font-size: 0.8rem;
  }
  .recent-url{
    font-size: 0.6rem !important;
    a{
      color: darken($v, 20%);
      font-weight: bold;
    }
  }
}